Ticket #41629

SDL2 client: recentering map causes change of alpha in border layer

Open Date: 2021-02-23 04:17 Last Update: 2021-03-02 15:56

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
5

Details

When using right click to recenter in SDL2 client, the country border's alpha becomes smaller and the border gets darker and darker until totally black.

Ticket History (3/10 Histories)

2021-02-23 04:17 Updated by: goduck777
  • New Ticket "SDL2 client: recentering map causes change of alpha in border layer" created
2021-02-24 23:25 Updated by: goduck777
  • Owner Update from (None) to cazfi
  • Milestone Update from (None) to 2.6.4 (closed)
2021-02-27 20:41 Updated by: cazfi
  • Component Update from Client common to SDL2-client
2021-02-28 05:50 Updated by: cazfi
Comment

Thanks for figuring out what's the problem. I'm implementing a bit different fix that sets blending mode once for mapview when it's created, and not to all surfaces every time they are copied.

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login